import '@material/web/icon/icon.js';
import '@operato/data-grist';
import '@operato/context/ox-context-page-toolbar.js';
import { FetchOption } from '@operato/data-grist';
import { PageView } from '@operato/shell';
declare const AuthProviderManagementPage_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & (new (...args: any[]) => {
    __preferenceProviders: {
        [element: string]: import("@operato/p13n").PagePreferenceProvider;
    };
    getPagePreferenceProvider(element: string): import("@operato/p13n").PagePreferenceProvider | undefined;
}) & (new (...args: any[]) => import("lit").LitElement) & typeof PageView;
export declare class AuthProviderManagementPage extends AuthProviderManagementPage_base {
    static styles: import("lit").CSSResult[];
    gristConfig: any;
    mode: 'CARD' | 'GRID' | 'LIST';
    authProviderTypes: {
        type: string;
        description?: string;
        help?: string;
        parameterSpec?: any[];
    }[];
    private grist;
    get context(): {
        title: string;
        search: {
            handler: (search: string) => void;
            value: string;
        };
        filter: {
            handler: () => void;
        };
        actions: ({
            title: string;
            action: () => Promise<void>;
            icon: string;
            emphasis?: undefined;
        } | {
            title: string;
            action: () => Promise<void>;
            icon: string;
            emphasis: {
                danger: boolean;
            };
        })[];
        toolbar: boolean;
    };
    render(): import("lit-html").TemplateResult<1>;
    pageInitialized(lifecycle: any): Promise<void>;
    fetchHandler({ page, limit, sortings, filters }: FetchOption): Promise<{
        total: any;
        records: any;
    }>;
    private deleteAuthProvider;
    private updateAuthProvider;
    private synchronizeUsers;
}
export {};
